Download it now!
Bug 95240 - Printer Language Type can't really be changed (with at least "Generic Printer")
Summary: Printer Language Type can't really be changed (with at least "Generic Printer")
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Printer-Settings
  Show dependency treegraph
 
Reported: 2015-10-22 02:07 UTC by Tom Yan
Modified: 2019-01-05 12:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Yan 2015-10-22 02:07:08 UTC
When I try to change Print -> (Generic Printer) -> Properties -> Device -> Printer language type, the setting reverts to "Automatic: PDF" no matter which one I picked, even when I click "Properties" again right after "OK" without leaving the Print window.

Also if I selected the "Print to file" option, it prints to "%!PS-Adobe-3.0" with "%%LanguageLevel: 2" anyway.
Comment 1 John Talbut 2015-10-23 12:07:45 UTC
I am getting the same.  LibeOffice 5.0.2.2 from Debian.

Tools > Options > LibreOffice > Print, PDF as standard print job format is off.

File > Print > Options > Print to file

Device is a PostScript printer, properties show Printer language type: Automatic PostScript (Level from driver)

I click print to file and the only format I can print out in is pdf.
Comment 2 V Stuart Foote 2015-10-23 13:18:10 UTC
Please provide your OS and Desktop details.

Not applicable to Windows builds.
Comment 3 John Talbut 2015-10-23 13:30:55 UTC
My OS is Debian, i.e. GNU/Linux, testing distribution.
Desktop is Xfce version 1.42

John
Comment 4 Tom Yan 2015-10-25 21:04:36 UTC
(In reply to John Talbut from comment #1)
> I am getting the same.

I am not sure if we really share the same problem. "PDF as standard print job format" basically works if I set up some printers in cups. Print to file gives me pdf when the option is on and ps when the option is off.

It's just the option does not have any effect on the "Generic Printer" (which shows up only if no printer is configured in cups) set up by some LibreOffice builtin "psprint". It gives me PS anyway.

The "printer language type" menu does not work and is not really changable anyway.

I am on Arch Linux btw: https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/libreoffice-fresh&id=dad0330304d72dcc0cb01b209dad0e83308bfdc0

I tried running libreoffice with the following env var one by one:

SAL_USE_VCLPLUGIN=gen
SAL_USE_VCLPLUGIN=kde4
SAL_USE_VCLPLUGIN=gtk
SAL_USE_VCLPLUGIN=gtk3

They don't seem to change the behaviour of "printer language type".
Comment 5 Tom Yan 2015-10-25 21:09:26 UTC
So basically I am experiencing TWO separate bugs:

1. When "Generic Printer" set up by "psprint" is used, "PDF as standard print job format" option is ignored

2. "Printer language type" menu seems to be useless
Comment 6 Buovjaga 2015-10-28 18:37:32 UTC
(In reply to Tom Yan from comment #0)
> When I try to change Print -> (Generic Printer) -> Properties -> Device ->
> Printer language type, the setting reverts to "Automatic: PDF" no matter
> which one I picked, even when I click "Properties" again right after "OK"
> without leaving the Print window.

Reproduced.

Ubuntu 15.10 64-bit 
Version: 5.0.2.2
Build ID: 00m0(Build:2)
Locale: en-US (en_US.UTF-8)
Comment 7 QA Administrators 2016-11-08 11:54:39 UTC Comment hidden (obsolete)
Comment 8 Khaled Hosny 2016-11-11 23:27:43 UTC
Just curious, since I’m consider dropping PostScript printing support, what do you need it for, and can’t you just use PDF which is the default in CUPS for a long time now?
Comment 9 QA Administrators 2017-11-12 11:00:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug